%define package atool
%define version 0.39.0
%define release %mkrel 1

Summary:        A script for managing file archives of various types
Summary(de):	Skript zur Verwaltung von Datei-Archiven verschiedener Typen 
Name:           %{package}
Group:		Archiving/Compression
Version:        %{version}
Release:        %{release}
Source:         http://savannah.nongnu.org/download/atool/%{package}-%{version}.tar.xz
URL:            http://www.nongnu.org/atool/
License:        GPL
BuildRoot:      %{_tmppath}/%{name}-%{version}-root
BuildArch:	noarch
Requires:	perl

%description
atool is a script for managing file archives of various types (tar,
tar+gzip, zip, etc). The main command is probably 'aunpack' which
extracts files from an archive. It overcomes the dreaded "multiple
files in archive root" problem by first extracting to a unique
subdirectory, and then moving back the files if possible. aunpack
also prevents local files from being overwritten by mistake. Other
commands provided are apack (for creating archives), als (for listing
files in archives), and acat (for extracting files to stdout). 

#german
%description -l de


atool ist ein Skript zur Verwaltung von Datei-Archiven verschiedener 
Typen (TAR, gzip TAR, ZIP usw.). Der wichtigste Befehl ist wahrscheinlich 
'aunpack' der die Dateien aus einem Archiv extrahiert. 
Es bewältigt das gefürchtete mehrere Dateien in root Archiven Problem, 
indem zuerst in ein eindeutiges Unterverzeichnis extrahiert und 
anschließend die Dateien möglichst zurück verschiebt. aunpack verhindert 
außerdem, dass lokale Dateien versehentlich überschrieben werden. Andere 
bereitgestellte Befehle sind 
apack (für Archive erstellen ), 
as (für Dateien in Archiven auflisten) und 
acat (für das Extrahieren von Dateien nach stdout).


%prep
%setup -q

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc README ChangeLog NEWS TODO
%{_bindir}/*
%{_mandir}/man1/*

%changelog
* Sun Feb 24 2013 daniel <meisssw01 at gmail.com> 0.39.0-1leiche2013
- upstream tarball
- add german description
- convert archive typ to tar.xz

* Wed Nov 08 2006 Neverstopdreaming <neverstopdreaming@gmail.com> 0.32.0-3pclos2007
- Build for PCLinuxOS 2007

